## Biplot for Principal Components

## Usage

    biplot.princomp(x, choices=1:2, scale=1, pc.biplot=FALSE, ...)

## Arguments

`x` | an object of class `"princomp"`.
`choices` | length 2 vector specifying the components to plot. Only the default is a biplot in the strict sense.
`scale` | The variables are scaled by `lambda ^ scale` and the observations are scaled by `lambda ^ (1-scale)` where `lambda` are the singular values as computed by `princomp`. Normally `0 <= scale <= 1`, and a warning will be issued if the specified `scale` is outside this range.
`pc.biplot` | If true, use what Gabriel (1971) refers to as a "principal component biplot", with `lambda = 1` and observations scaled up by sqrt(n) and variables scaled down by sqrt(n). Then inner products between variables approximate covariances and distances between observations approximate Mahalanobis distance.
`...` | optional arguments to be passed to `biplot.default`.

## Description

Produces a biplot (in the strict sense) from the output of `princomp(.)`.

## Details

This is a method for the generic function `biplot`. There is considerable confusion over the precise definitions: those of the original paper, Gabriel (1971), are followed here. Gabriel and Odoroff (1990) use the same definitions, but their plots actually correspond to `pc.biplot = TRUE`.

## Side Effects

a plot is produced on the current graphics device.

## References

Gabriel, K. R. (1971). The biplot graphical display of matrices with applications to principal component analysis. Biometrika, 58 453-467.

Gabriel, K. R. and Odoroff, C. L. (1990). Biplots in biomedical research. Statistics in Medicine, 9 469-485.

## See Also

`biplot`, `princomp`.

## Examples

    data(crimes)
    biplot(princomp(crimes))

[Package Contents]